> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload agreement PDF

> Upload a signed copy of the PDF agreement.

Once the previously generated agreement has been signed by the end-user, upload to Invopop so that it will be stored as an attachment to the silo entry.


## OpenAPI

````yaml POST /apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement
openapi: 3.1.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: Set of end-points that help you test access to the Spain app API.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Spain Service API
  version: 0.1.0
servers:
  - description: production
    url: https://api.invopop.com
security:
  - InvopopAuth: []
paths:
  /apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement:
    post:
      description: Upload a signed copy of the PDF agreement.
      parameters:
        - description: ID of the org.Party silo entry to upload the agreement for.
          in: path
          name: silo_entry_id
          required: true
          schema:
            description: ID of the org.Party silo entry to upload the agreement for.
            example: 5b45453c-cdd0-11ed-afa1-0242ac120002
            title: ID
            type: string
        - description: System in which the party is being registered.
          in: path
          name: system
          required: true
          schema:
            description: System in which the party is being registered.
            title: System
            type: string
            enum:
              - sii
      requestBody:
        content:
          application/json:
            schema:
              properties:
                data:
                  description: >-
                    Base64 encoded binary data of the signed PDF agreement. Must
                    be

                    of type `application/pdf`.
                  format: byte
                  type: string
                signature:
                  description: >-
                    Type of signature used to sign the agreement. Use one of the
                    following options:
                      * `digital` - Signed using a digital certificate belonging to the supplier.
                      * `hand` - Physically signed by hand, and scanned.
                  type: string
                  enum:
                    - digital
                    - hand
              required:
                - data
                - signature
      responses:
        '202':
          description: No content
components:
  securitySchemes:
    InvopopAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.

        Example: `Authorization: Bearer <token>`

````